/* CSS Document */
/* Third Party Maps */
.nlsMap, .staticMap {float: left; margin-right: 5px;} /* .osmap, */
.tpMapImg {border: medium inset var(--borderGrey)}
.tpMapImg {overflow: auto;} /* background-color: #30F;*/
.tpmapframe {border: medium inset var(--borderGrey); margin-bottom: 2px; overflow: hidden; padding: 0; width: 100%; height: 100%;}

.tp_location, .tp_extra {width: 100%; min-height: 330px; max-height: calc(100vh - 65px); height: calc(100% - 37px)}
.walkmap {margin: 0 0 0.5rem; position: relative;} /*display: grid; align-items: center; grid-template-areas: 'map map map' 'gelink admin next';*/
/*.walkmap_both {display: grid; align-items: center; grid-template-areas: 'map map map' 'gelink admin next';}
.walkmap_ge {display: grid; align-items: center; grid-template-areas: 'map map' 'gelink admin';}*/
.walkmap .googleEarthLink {grid-area: gelink;}
.walkmap .btnAdmin {grid-area: admin; position: initial; top: auto; right: auto;}
.walkmap iframe {height: 330px; width: 100%; grid-area: map; margin: 0 6px 5px 0;}
.walkmap #nextbtn {grid-area: next; margin: auto 0;}

.btnTPMap > img {position: absolute; right: 0;}
/*.tp_location_os {height: 370px; width: calc(100% - 6px);}
.tp_embedded_os {height: 150px; width: 300px;} Browser defaults*/
/*@media print {.osmap .btnmag {visibility: hidden;}}*/

/* Location maps */
.locationMap {border-style: solid; border-width: 1px; border-color: var(--borderBrown); border-radius: 5px; font-size: x-small; color: var(--fontBrown); float: right; clear: right; text-align: center; margin: 0 0 5px; min-width: 166px; padding: 0 0 5px; z-index: 10; position: relative;}
.locationMap a {cursor: zoom-in; display: block;}
.locationMap h3 {font-size:small; font-weight: bold; width: 160px; margin: 0 0 3px 0;}
.locationMap img {border: none;}
.locationMapFooter {display: flex; flex-direction: row; justify-content: space-between;}
.locationMap span {font-weight: bold; display: inline-block; margin: auto;}
.locationMap span[itemprop="geo"] {display: none;}
.locationMap .btnxref {margin: 0 5px 0 0;}

/* Google Earth Link */
@media screen
{
	.googleEarthLink::before {content: url(/images/partners/google_earth_link.gif); padding-right: 5px; vertical-align: top; display: inline;}
	.googleEarthLink {font-size: small;}
	.googleEarthLink::after {content: url(/images/external.gif); padding-left: 2px;}
}

@media (pointer: fine), (pointer: none) 
{
	.walkmap #nextbtn span {font-size: small;}
	/* desktop */
}
@media (pointer: fine) and (any-pointer: coarse) 
{
	/* touch desktop */
}
@media (pointer: coarse)  
{
	/* mobile device */
	.walkmap {grid-template-areas: 'map' 'gelink' 'next';}
}

@media print
{
	.locationMap .btnxref {display: none;}
	.googleEarthLink {display: none;}
}


